<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.xmppstringprep</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;xmppstringprep
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module xmppstringprep</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.xmppstringprep-pysrc.html">source&nbsp;code</a></span></p>
<p>Nodeprep and resourceprep stringprep profiles.</p>
<dl class="rst-docutils">
<dt>Normative reference:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a class="rst-reference external" href="http://www.ietf.org/rfc/rfc3920.txt" target="_top">RFC 3920</a></li>
</ul>
</dd>
</dl>

<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.xmppstringprep.LookupFunction-class.html" class="summary-name">LookupFunction</a><br />
      Class for looking up RFC 3454 tables using function.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.xmppstringprep.LookupTable-class.html" class="summary-name">LookupTable</a><br />
      Class for looking up RFC 3454 tables using a dictionary and/or list of ranges.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.xmppstringprep.Profile-class.html" class="summary-name">Profile</a><br />
      Base class for stringprep profiles.
    </td>
  </tr>
</table>
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.xmppstringprep-module.html#b1_mapping" class="summary-sig-name">b1_mapping</a>(<span class="summary-sig-arg">uc</span>)</span><br />
      Do RFC 3454 B.1 table mapping.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.xmppstringprep-pysrc.html#b1_mapping">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.xmppstringprep-module.html#nfkc" class="summary-sig-name">nfkc</a>(<span class="summary-sig-arg">data</span>)</span><br />
      Do NFKC normalization of Unicode data.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.xmppstringprep-pysrc.html#nfkc">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.xmppstringprep-module.html#set_stringprep_cache_size" class="summary-sig-name">set_stringprep_cache_size</a>(<span class="summary-sig-arg">size</span>)</span><br />
      Modify stringprep cache size.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.xmppstringprep-pysrc.html#set_stringprep_cache_size">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="A_1"></a><span class="summary-name">A_1</span> = <code title="LookupFunction(stringprep.in_table_a1)">LookupFunction(stringprep.in_table_a1)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.xmppstringprep-module.html#B_1" class="summary-name">B_1</a> = <code title="&lt;pyxmpp.xmppstringprep.LookupFunction instance at 0x85afe4c&gt;">&lt;pyxmpp.xmppstringprep.LookupFunction instance at 0x85af<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="B_2"></a><span class="summary-name">B_2</span> = <code title="LookupFunction(stringprep.map_table_b2)">LookupFunction(stringprep.map_table_b2)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="B_3"></a><span class="summary-name">B_3</span> = <code title="LookupFunction(stringprep.map_table_b3)">LookupFunction(stringprep.map_table_b3)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_1_1"></a><span class="summary-name">C_1_1</span> = <code title="LookupFunction(stringprep.in_table_c11)">LookupFunction(stringprep.in_table_c11)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_1_2"></a><span class="summary-name">C_1_2</span> = <code title="LookupFunction(stringprep.in_table_c12)">LookupFunction(stringprep.in_table_c12)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_2_1"></a><span class="summary-name">C_2_1</span> = <code title="LookupFunction(stringprep.in_table_c21)">LookupFunction(stringprep.in_table_c21)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_2_2"></a><span class="summary-name">C_2_2</span> = <code title="LookupFunction(stringprep.in_table_c22)">LookupFunction(stringprep.in_table_c22)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_3"></a><span class="summary-name">C_3</span> = <code title="LookupFunction(stringprep.in_table_c3)">LookupFunction(stringprep.in_table_c3)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_4"></a><span class="summary-name">C_4</span> = <code title="LookupFunction(stringprep.in_table_c4)">LookupFunction(stringprep.in_table_c4)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_5"></a><span class="summary-name">C_5</span> = <code title="LookupFunction(stringprep.in_table_c5)">LookupFunction(stringprep.in_table_c5)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_6"></a><span class="summary-name">C_6</span> = <code title="LookupFunction(stringprep.in_table_c6)">LookupFunction(stringprep.in_table_c6)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_7"></a><span class="summary-name">C_7</span> = <code title="LookupFunction(stringprep.in_table_c7)">LookupFunction(stringprep.in_table_c7)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_8"></a><span class="summary-name">C_8</span> = <code title="LookupFunction(stringprep.in_table_c8)">LookupFunction(stringprep.in_table_c8)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="C_9"></a><span class="summary-name">C_9</span> = <code title="LookupFunction(stringprep.in_table_c9)">LookupFunction(stringprep.in_table_c9)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="D_1"></a><span class="summary-name">D_1</span> = <code title="LookupFunction(stringprep.in_table_d1)">LookupFunction(stringprep.in_table_d1)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="D_2"></a><span class="summary-name">D_2</span> = <code title="LookupFunction(stringprep.in_table_d2)">LookupFunction(stringprep.in_table_d2)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.xmppstringprep-module.html#nodeprep" class="summary-name">nodeprep</a> = <code title="Profile(unassigned= (A_1,), mapping= (B_1, B_2), normalization= nfkc, \
prohibited= (C_1_1, C_1_2, C_2_1, C_2_2, C_3, C_4, C_5, C_6, C_7, C_8,\
 C_9, LookupTable({u'&quot;': True, u'&amp;': True, u&quot;'&quot;: True, u&quot;/&quot;: True, u&quot;:\
&quot;: True, u&quot;&lt;&quot;: True, u&quot;&gt;&quot;: True, u&quot;@&quot;: True}, ())), bidi= 1)">Profile(unassigned= (A_1,), mapping= (B_1, B_2), no<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.xmppstringprep-module.html#resourceprep" class="summary-name">resourceprep</a> = <code title="Profile(unassigned= (A_1,), mapping= (B_1,), normalization= nfkc, proh\
ibited= (C_1_2, C_2_1, C_2_2, C_3, C_4, C_5, C_6, C_7, C_8, C_9), bidi\
= 1)">Profile(unassigned= (A_1,), mapping= (B_1,), no<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="stringprep_cache_size"></a><span class="summary-name">stringprep_cache_size</span> = <code title="1000">1000</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="stringprep">stringprep</span>,
  <span title="unicodedata">unicodedata</span>,
  <a href="pyxmpp.exceptions.StringprepError-class.html" title="pyxmpp.exceptions.StringprepError">StringprepError</a>
</p><br />
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Function Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-FunctionDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="b1_mapping"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">b1_mapping</span>(<span class="sig-arg">uc</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.xmppstringprep-pysrc.html#b1_mapping">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Do RFC 3454 B.1 table mapping.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>uc</code></strong> - : Unicode character to map.</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd>u&quot;&quot; if there is <code class="link">uc</code> code in the table, <code class="link">None</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<a name="nfkc"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">nfkc</span>(<span class="sig-arg">data</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.xmppstringprep-pysrc.html#nfkc">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Do NFKC normalization of Unicode data.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>data</code></strong> - : list of Unicode characters or Unicode string.</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd>normalized Unicode string.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_stringprep_cache_size"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_stringprep_cache_size</span>(<span class="sig-arg">size</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.xmppstringprep-pysrc.html#set_stringprep_cache_size">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Modify stringprep cache size.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>size</code></strong> - : new cache size</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== VARIABLES DETAILS ==================== -->
<a name="section-VariablesDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-VariablesDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="B_1"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">B_1</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
&lt;pyxmpp.xmppstringprep.LookupFunction instance at 0x85afe4c&gt;
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="nodeprep"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">nodeprep</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
Profile(unassigned= (A_1,), mapping= (B_1, B_2), normalization= nfkc, <span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
prohibited= (C_1_1, C_1_2, C_2_1, C_2_2, C_3, C_4, C_5, C_6, C_7, C_8,<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
 C_9, LookupTable({u'&quot;': True, u'&amp;': True, u&quot;'&quot;: True, u&quot;/&quot;: True, u&quot;:<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
&quot;: True, u&quot;&lt;&quot;: True, u&quot;&gt;&quot;: True, u&quot;@&quot;: True}, ())), bidi= 1)
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="resourceprep"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">resourceprep</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
Profile(unassigned= (A_1,), mapping= (B_1,), normalization= nfkc, proh<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
ibited= (C_1_2, C_2_1, C_2_2, C_3, C_4, C_5, C_6, C_7, C_8, C_9), bidi<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
= 1)
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:58 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
